Debian Bug report logs - #550010
hfsplus corrupts filesystems >2TB

version graph

Package: linux-image-2.6.26-1-amd64; Maintainer for linux-image-2.6.26-1-amd64 is (unknown);

Reported by: Marc Tamsky <mtamsky+bugs.debian.org@gmail.com>

Date: Tue, 6 Oct 2009 23:36:02 UTC

Severity: critical

Found in version linux-2.6/2.6.26-13

Fixed in versions linux-2.6/2.6.31-1~experimental.2, linux-2.6/2.6.26-20

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Tue, 06 Oct 2009 23:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Tamsky <mtamsky+bugs.debian.org@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 06 Oct 2009 23:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Tamsky <mtamsky+bugs.debian.org@gmail.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: linux-image-2.6.26-1-amd64: default kernel CONFIG_LBD=n, should get with the times and change to 'y'
Date: Tue, 06 Oct 2009 16:25:38 -0700
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-13
Justification: causes serious data loss
Severity: critical

*** Please type your report below this line ***

Attaching a 4TB hfsplus formatted volume to this host caused it to silently 
identify it as a 2TB device (with a [mac] labelled partition table,
that contained a 3.6TB partition specification (sdd3))

Attempts to fill the 4TB device with more than 2TB of data caused serious 
data loss, possibly corrupting the hfsplus filesystem.

Lack of a default kernel setting of 'CONFIG_LBD=y' is the proposed root 
cause.


-- Package-specific info:
** Version:
Linux version 2.6.26-1-amd64 (Debian 2.6.26-13) (waldi@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-24)) #1 SMP Sat Jan 10 17:57:00 UTC 2009

** Command line:
root=/dev/mapper/cranium-root ro 

** Not tainted

** Kernel log:
[124335.214322] sd 7:0:0:0: [sdd] Use 0xffffffff as device size
[124335.214322] sd 7:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[124335.232609] sd 7:0:0:0: [sdd] Write Protect is off
[124335.232609] sd 7:0:0:0: [sdd] Mode Sense: 10 00 00 00
[124335.252610] sd 7:0:0:0: [sdd] Cache data unavailable
[124335.252610] sd 7:0:0:0: [sdd] Assuming drive cache: write through
[124335.287148] sd 7:0:0:0: [sdd] Very big device. Trying to use READ CAPACITY(16).
[124335.287148] sd 7:0:0:0: [sdd] READ CAPACITY(16) failed
[124335.287148] sd 7:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[124335.287148] sd 7:0:0:0: [sdd] Use 0xffffffff as device size
[124335.287148] sd 7:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[124335.313113] sd 7:0:0:0: [sdd] Write Protect is off
[124335.313113] sd 7:0:0:0: [sdd] Mode Sense: 10 00 00 00
[124335.328714] sd 7:0:0:0: [sdd] Cache data unavailable
[124335.328727] sd 7:0:0:0: [sdd] Assuming drive cache: write through
[124335.328739]  sdd: [mac] sdd1 sdd2 sdd3 sdd4
[124335.345104] sd 7:0:0:0: [sdd] Attached SCSI disk
[124335.345179] sd 7:0:0:0: Attached scsi generic sg4 type 0
[153347.370795] ieee1394: Node changed: 0-01:1023 -> 0-00:1023
[153347.370795] ieee1394: Node suspended: ID:BUS[0-00:1023]  GUID[001c0d02e02007f4]
[193681.254505] Initializing USB Mass Storage driver...
[193681.254505] usbcore: registered new interface driver usb-storage
[193681.254505] USB Mass Storage support registered.
[193816.949418] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[216516.511901] ieee1394: The root node is not cycle master capable; selecting a new root node and resetting...
[216517.503364] ieee1394: Error parsing configrom for node 0-00:1023
[216517.504692] ieee1394: Node changed: 0-00:1023 -> 0-01:1023
[216538.577734] ieee1394: Node resumed: ID:BUS[0-00:1023]  GUID[001c0d02e02007f4]
[216538.581735] scsi8 : SBP-2 IEEE-1394
[216539.775774] ieee1394: sbp2: Logged into SBP-2 device
[216539.783523] ieee1394: sbp2: Node 0-00:1023: Max speed [S800] - Max payload [4096]
[216539.807772] scsi 8:0:0:0: Direct-Access     External RAID             0    PQ: 0 ANSI: 5
[216539.833920] sd 8:0:0:0: [sdd] Very big device. Trying to use READ CAPACITY(16).
[216539.833920] sd 8:0:0:0: [sdd] READ CAPACITY(16) failed
[216539.833920] sd 8:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[216539.833920] sd 8:0:0:0: [sdd] Use 0xffffffff as device size
[216539.833920] sd 8:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[216539.854392] sd 8:0:0:0: [sdd] Write Protect is off
[216539.854392] sd 8:0:0:0: [sdd] Mode Sense: 10 00 00 00
[216539.867217] sd 8:0:0:0: [sdd] Cache data unavailable
[216539.867217] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[216539.898648] sd 8:0:0:0: [sdd] Very big device. Trying to use READ CAPACITY(16).
[216539.899242] sd 8:0:0:0: [sdd] READ CAPACITY(16) failed
[216539.899242] sd 8:0:0:0: [sdd] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
[216539.899242] sd 8:0:0:0: [sdd] Use 0xffffffff as device size
[216539.899242] sd 8:0:0:0: [sdd] 4294967296 512-byte hardware sectors (2199023 MB)
[216539.915217] sd 8:0:0:0: [sdd] Write Protect is off
[216539.915217] sd 8:0:0:0: [sdd] Mode Sense: 10 00 00 00
[216539.927394] sd 8:0:0:0: [sdd] Cache data unavailable
[216539.927394] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[216539.927394]  sdd: [mac] sdd1 sdd2 sdd3 sdd4
[216539.956140] sd 8:0:0:0: [sdd] Attached SCSI disk
[216539.956140] sd 8:0:0:0: Attached scsi generic sg4 type 0
[218160.453923] ieee1394: Node changed: 0-01:1023 -> 0-00:1023
[218160.453923] ieee1394: Node suspended: ID:BUS[0-00:1023]  GUID[001c0d02e02007f4]

** Loaded modules:
Module                  Size  Used by
fuse                   53184  0 
ipt_REJECT              7552  0 
xt_tcpudp               7680  0 
iptable_nat             9872  0 
nf_nat                 23192  1 iptable_nat
nf_conntrack_ipv4      19352  3 iptable_nat,nf_nat
nf_conntrack           71440  3 iptable_nat,nf_nat,nf_conntrack_ipv4
iptable_filter          7424  0 
ip_tables              21520  2 iptable_nat,iptable_filter
x_tables               25224  4 ipt_REJECT,xt_tcpudp,iptable_nat,ip_tables
ohci_hcd               25092  0 
ehci_hcd               36108  0 
usb_storage            94528  0 
nls_utf8                6272  0 
hfsplus                75784  0 
nls_base               12932  2 nls_utf8,hfsplus
appletalk              35344  20 
ipv6                  288328  48 
nfsd                  248360  17 
auth_rpcgss            47520  1 nfsd
exportfs                8704  1 nfsd
nfs                   251696  0 
lockd                  68560  2 nfsd,nfs
nfs_acl                 7552  2 nfsd,nfs
sunrpc                197480  16 nfsd,auth_rpcgss,nfs,lockd,nfs_acl
bonding                83680  0 
xfs                   475432  2 
loop                   19468  0 
snd_pcm                81672  0 
snd_timer              25744  1 snd_pcm
snd                    63688  2 snd_pcm,snd_timer
soundcore              12064  1 snd
snd_page_alloc         13072  1 snd_pcm
serio_raw               9860  0 
psmouse                42268  0 
i2c_i801               13596  0 
i2c_core               27936  1 i2c_i801
pcspkr                  7040  0 
rng_core                8968  0 
container               8320  0 
iTCO_wdt               15696  0 
button                 11680  0 
ib_mthca              121444  0 
ib_mad                 39208  1 ib_mthca
ib_core                59392  2 ib_mthca,ib_mad
shpchp                 34080  0 
pci_hotplug            32056  1 shpchp
e752x_edac             16656  0 
edac_core              49560  3 e752x_edac
evdev                  14208  0 
ext3                  125072  6 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  0 
dm_mod                 58864  21 dm_mirror,dm_log,dm_snapshot
raid1                  24192  2 
md_mod                 80164  3 raid1
ide_pci_generic         9220  0 [permanent]
ide_core              128284  1 ide_pci_generic
sbp2                   25356  0 
ata_generic            10116  0 
sg                     36448  0 
sd_mod                 29376  5 
e1000                 117184  0 
ohci1394               32564  0 
ieee1394               93816  2 sbp2,ohci1394
ata_piix               22660  2 
arcmsr                 25856  2 
libata                165472  2 ata_generic,ata_piix
scsi_mod              160760  6 usb_storage,sbp2,sg,sd_mod,arcmsr,libata
dock                   14112  1 libata
thermal                22688  0 
processor              42304  1 thermal
fan                     9352  0 
thermal_sys            17728  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation E7520 Memory Controller Hub [8086:3590] (rev 0c)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: e752x_edac
	Kernel modules: e752x_edac

00:00.1 Class [ff00]: Intel Corporation E7525/E7520 Error Reporting Registers [8086:3591] (rev 0c)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 System peripheral [0880]: Intel Corporation E7520 DMA Controller [8086:3594] (rev 0c)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:02.0 PCI bridge [0604]: Intel Corporation E7525/E7520/E7320 PCI Express Port A [8086:3595] (rev 0c) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0100000-d02fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:04.0 PCI bridge [0604]: Intel Corporation E7525/E7520 PCI Express Port B [8086:3597] (rev 0c) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Memory behind bridge: d0300000-d03fffff
	Prefetchable memory behind bridge: 00000000d2800000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:06.0 PCI bridge [0604]: Intel Corporation E7520 PCI Express Port C [8086:3599] (rev 0c) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	Memory behind bridge: d0400000-d04fffff
	Prefetchable memory behind bridge: 00000000d2000000-00000000d20fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.0 PCI bridge [0604]: Intel Corporation 6300ESB 64-bit PCI-X Bridge [8086:25ae] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 40, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=48
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: d0500000-d05fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 0a) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=08, subordinate=08, sec-latency=32
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: d0600000-d1ffffff
	Prefetchable memory behind bridge: d2100000-d21fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:1f.0 ISA bridge [0601]: Intel Corporation 6300ESB LPC Interface Controller [8086:25a1] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Kernel modules: intel-rng, iTCO_wdt

00:1f.2 IDE interface [0101]: Intel Corporation 6300ESB SATA Storage Controller [8086:25a3] (rev 02) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 1440 [size=8]
	Region 1: I/O ports at 1434 [size=4]
	Region 2: I/O ports at 1438 [size=8]
	Region 3: I/O ports at 1430 [size=4]
	Region 4: I/O ports at 1420 [size=16]
	Kernel driver in use: ata_piix
	Kernel modules: ata_piix, ata_generic, ide-pci-generic

00:1f.3 SMBus [0c05]: Intel Corporation 6300ESB SMBus Controller [8086:25a4] (rev 02)
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 1100 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

01:00.0 PCI bridge [0604]: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A [8086:0329] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=01, secondary=02, subordinate=03, sec-latency=64
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0200000-d02fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

01:00.1 PIC [0800]: Intel Corporation 6700/6702PXH I/OxAPIC Interrupt Controller A [8086:0326] (rev 09) (prog-if 20 [IO(X)-APIC])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d0100000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

01:00.2 PCI bridge [0604]: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B [8086:032a] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=01, secondary=04, subordinate=04, sec-latency=64
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

01:00.3 PIC [0800]: Intel Corporation 6700PXH I/OxAPIC Interrupt Controller B [8086:0327] (rev 09) (prog-if 20 [IO(X)-APIC])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d0101000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

02:08.0 PCI bridge [0604]: Pericom Semiconductor PI7C21P100 PCI to PCI Bridge [12d8:01a7] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Bus: primary=02, secondary=03, subordinate=03, sec-latency=200
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d0200000-d02fffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

03:04.0 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at d0200000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 2000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

03:04.1 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 53
	Region 0: Memory at d0220000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 2040 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

03:06.0 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 54
	Region 0: Memory at d0240000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 2080 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

03:06.1 Ethernet controller [0200]: Intel Corporation 82546GB Gigabit Ethernet Controller (Copper) [8086:10b5] (rev 03)
	Subsystem: Intel Corporation PRO/1000 GT Quad Port Server Adapter [8086:1199]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 52 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 55
	Region 0: Memory at d0260000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 20c0 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

05:00.0 InfiniBand [0c06]: Mellanox Technologies MT25208 InfiniHost III Ex (Tavor compatibility mode) [15b3:6278] (rev a0)
	Subsystem: Mellanox Technologies MT25208 InfiniHost III Ex (Tavor compatibility mode) [15b3:6278]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0300000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at d2800000 (64-bit, prefetchable) [size=8M]
	Region 4: Memory at d8000000 (64-bit, prefetchable) [size=128M]
	Capabilities: <access denied>
	Kernel driver in use: ib_mthca
	Kernel modules: ib_mthca

06:00.0 RAID bus controller [0104]: Areca Technology Corp. ARC-1680 8 port PCIe/PCI-X to SAS/SATA II RAID Controller [17d3:1680]
	Subsystem: Areca Technology Corp. ARC-1680 8 port PCIe/PCI-X to SAS/SATA II RAID Controller [17d3:1680]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0400000 (32-bit, non-prefetchable) [size=8K]
	[virtual] Expansion ROM at d2000000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: arcmsr
	Kernel modules: arcmsr

07:01.0 Ethernet controller [0200]: Intel Corporation 82541GI Gigabit Ethernet Controller [8086:1076] (rev 05)
	Subsystem: Super Micro Computer Inc Device [15d9:1076]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 24
	Region 0: Memory at d0500000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 3000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

07:02.0 Ethernet controller [0200]: Intel Corporation 82541GI Gigabit Ethernet Controller [8086:1076] (rev 05)
	Subsystem: Super Micro Computer Inc Device [15d9:1076]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 25
	Region 0: Memory at d0520000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at 3040 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e1000
	Kernel modules: e1000

08:01.0 VGA compatible controller [0300]: ATI Technologies Inc Rage XL [1002:4752] (rev 27) (prog-if 00 [VGA controller])
	Subsystem: Super Micro Computer Inc Device [15d9:6080]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: I/O ports at 4000 [size=256]
	Region 2: Memory at d0604000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at d2100000 [disabled] [size=128K]
	Capabilities: <access denied>

08:02.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB82AA2 IEEE-1394b Link Layer Controller [104c:8025] (rev 01) (prog-if 10 [OHCI])
	Subsystem: AFAVLAB Technology Inc Device [14db:702a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at d0605000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at d0600000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: ohci1394
	Kernel modules: ohci1394



-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (600, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.25     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93       tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-1-amd64 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

-- debconf information:
  linux-image-2.6.26-1-amd64/postinst/create-kimage-link-2.6.26-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-amd64/preinst/bootloader-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/old-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/initrd-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-system-map-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-initrd-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/preinst/overwriting-modules-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/elilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-install-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/lilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/prerm/removing-running-kernel-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/prerm/would-invalidate-boot-loader-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-test-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-overwrite-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-dir-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-amd64/preinst/failed-to-move-modules-2.6.26-1-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 02:21:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 02:21:35 GMT) Full text and rfc822 format available.

Message #10 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Marc Tamsky <mtamsky+bugs.debian.org@gmail.com>
Cc: 550010@bugs.debian.org
Subject: Re: linux-image-2.6.26-1-amd64: default kernel CONFIG_LBD=n, should get with the times and change to 'y'
Date: Wed, 07 Oct 2009 03:00:21 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2009-10-06 at 16:25 -0700, Marc Tamsky wrote:
> Package: linux-image-2.6.26-1-amd64
> Version: 2.6.26-13

You should install security updates.

> Justification: causes serious data loss
> Severity: critical
> 
> *** Please type your report below this line ***
> 
> Attaching a 4TB hfsplus formatted volume to this host caused it to silently 
> identify it as a 2TB device (with a [mac] labelled partition table,
> that contained a 3.6TB partition specification (sdd3))
> 
> Attempts to fill the 4TB device with more than 2TB of data caused serious 
> data loss, possibly corrupting the hfsplus filesystem.
>
> Lack of a default kernel setting of 'CONFIG_LBD=y' is the proposed root 
> cause.

All official Debian kernel packages are configured with CONFIG_LBD=y.
This actually appears to be a bug in Linux's HFS+ implementation, which
calculates sector numbers using 32-bit numbers.

I don't think we can reasonably fix this in a stable update, but we
should be able to prevent mounting HFS+ partitions larger than 2TB, and
so avoid data loss.

Ben.

-- 
Ben Hutchings
To err is human; to really foul things up requires a computer.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'hfsplus corrupts filesystems >2TB' from 'linux-image-2.6.26-1-amd64: default kernel CONFIG_LBD=n, should get with the times and change to 'y'' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 07 Oct 2009 02:21:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 02:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 550010@bugs.debian.org
Subject: Re: hfsplus corrupts filesystems >2TB
Date: Wed, 07 Oct 2009 03:37:18 +0100
[Message part 1 (text/plain, inline)]
This is my suggested change, so far only compile-tested:

--- a/fs/hfsplus/wrapper.c
+++ b/fs/hfsplus/wrapper.c
@@ -99,6 +99,10 @@
 
 	if (hfsplus_get_last_session(sb, &part_start, &part_size))
 		return -EINVAL;
+	if (part_start + part_size >= 0x100000000) {
+		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
+		return -EINVAL;
+	}
 	while (1) {
 		bh = sb_bread512(sb, part_start + HFSPLUS_VOLHEAD_SECTOR, vhdr);
 		if (!bh)
--- END ---

Ben.

-- 
Ben Hutchings
To err is human; to really foul things up requires a computer.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 15:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 550010@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 550010@bugs.debian.org
Subject: Re: Bug#550010: hfsplus corrupts filesystems >2TB
Date: Wed, 7 Oct 2009 09:27:02 -0600
On Wed, Oct 07, 2009 at 03:37:18AM +0100, Ben Hutchings wrote:
> This is my suggested change, so far only compile-tested:
> 
> --- a/fs/hfsplus/wrapper.c
> +++ b/fs/hfsplus/wrapper.c
> @@ -99,6 +99,10 @@
>  
>  	if (hfsplus_get_last_session(sb, &part_start, &part_size))
>  		return -EINVAL;
> +	if (part_start + part_size >= 0x100000000) {
> +		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
> +		return -EINVAL;
> +	}

minor point, but maybe s/hfs/hfsplus/ ?

>  	while (1) {
>  		bh = sb_bread512(sb, part_start + HFSPLUS_VOLHEAD_SECTOR, vhdr);
>  		if (!bh)
> --- END ---
> 
> Ben.
> 



-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Dennison <dan@thedennisons.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 20:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 550010@bugs.debian.org (full text, mbox):

From: Dan Dennison <dan@thedennisons.org>
To: 550010@bugs.debian.org
Subject: CONFIG_LBD has gone missing sometime after 2.6.18
Date: Wed, 7 Oct 2009 16:26:10 -0400
[Message part 1 (text/plain, inline)]
$ ls /boot/config*
/boot/config-2.6.18-6-amd64 /boot/config-2.6.29-2-amd64
/boot/config-2.6.26-1-amd64 /boot/config-2.6.30-1-amd64

$ grep LBD /boot/config*
/boot/config-2.6.18-6-amd64:CONFIG_LBD=y

Is it at all concerning that the sd driver tries a read capacity 16 and
fails?

I propose the following sequence of events:

1) 'sd' block device tries to read capacity 16 and fails because CONFIG_LBD
is not asserted, defaulting to a size of 2TB
2) 'hfsplus' then tries to mount this larger-than-2TB filesystem and is
successful
3) Writes to this inappropriately mounted filesystem fail once they run off
of the edge

I submit that the proposed patch is in error, and that hfsplus does very
well support >2TB filesystems on Linux. Further, hfsplus and all filesystem
drivers should check for the degenerate case of block device 

Dan Dennison

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 20:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 20:45:10 GMT) Full text and rfc822 format available.

Message #32 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: dann frazier <dannf@debian.org>
Cc: 550010@bugs.debian.org
Subject: Re: Bug#550010: hfsplus corrupts filesystems >2TB
Date: Wed, 07 Oct 2009 21:13:25 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2009-10-07 at 09:27 -0600, dann frazier wrote:
> On Wed, Oct 07, 2009 at 03:37:18AM +0100, Ben Hutchings wrote:
> > This is my suggested change, so far only compile-tested:
> > 
> > --- a/fs/hfsplus/wrapper.c
> > +++ b/fs/hfsplus/wrapper.c
> > @@ -99,6 +99,10 @@
> >  
> >  	if (hfsplus_get_last_session(sb, &part_start, &part_size))
> >  		return -EINVAL;
> > +	if (part_start + part_size >= 0x100000000) {
> > +		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
> > +		return -EINVAL;
> > +	}
> 
> minor point, but maybe s/hfs/hfsplus/ ?
[...]

This is consistent with other log messages from hfsplus.  While I think
the prefix *should* be "hfsplus: ", it seemed to me that it would be
worse to be inconsistent.  Also, the original HFS is intrinsically
limited to 2TB so this message is true for both of them.

Ben.

-- 
Ben Hutchings
To err is human; to really foul things up requires a computer.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Dennison <dan@thedennisons.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 21:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 550010@bugs.debian.org (full text, mbox):

From: Dan Dennison <dan@thedennisons.org>
To: 550010@bugs.debian.org
Subject: HFS Plus supports a maximum volume size just south of 8EiB
Date: Wed, 7 Oct 2009 17:10:03 -0400
FWIW, HFS Plus has a maximum size of (2^63 - 2^31) bytes, which is just shy
of 8EB.

http://support.apple.com/kb/HT2422
http://en.wikipedia.org/wiki/HFS_Plus

dan :)






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 22:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dan Dennison <dan@thedennisons.org>, 550010@bugs.debian.org
Subject: Re: Bug#550010: CONFIG_LBD has gone missing sometime after 2.6.18
Date: Wed, 07 Oct 2009 23:02:40 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2009-10-07 at 16:26 -0400, Dan Dennison wrote:
> $ ls /boot/config*
> /boot/config-2.6.18-6-amd64  /boot/config-2.6.29-2-amd64
> /boot/config-2.6.26-1-amd64  /boot/config-2.6.30-1-amd64
> 
> $ grep LBD /boot/config*
> /boot/config-2.6.18-6-amd64:CONFIG_LBD=y

CONFIG_LBD is irrelevant on 64-bit architectures.

> Is it at all concerning that the sd driver tries a read capacity 16
> and fails?
> 
> I propose the following sequence of events:
> 
> 1) 'sd' block device tries to read capacity 16 and fails because
> CONFIG_LBD is not asserted, defaulting to a size of 2TB
> 2) 'hfsplus' then tries to mount this larger-than-2TB filesystem and
> is successful
> 3) Writes to this inappropriately mounted filesystem fail once they
> run off of the edge
> 
> I submit that the proposed patch is in error, and that hfsplus does
> very well support >2TB filesystems on Linux.
[...]

For starters, hfsplus_get_block() calculates a sector number using
32-bit values.  Even on 64-bit architectures.

Ben.

-- 
Ben Hutchings
To err is human; to really foul things up requires a computer.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 22:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 22:06:05 GMT) Full text and rfc822 format available.

Message #47 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dan Dennison <dan@thedennisons.org>, 550010@bugs.debian.org
Subject: Re: Bug#550010: HFS Plus supports a maximum volume size just south of 8EiB
Date: Wed, 07 Oct 2009 23:03:04 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2009-10-07 at 17:10 -0400, Dan Dennison wrote:
> FWIW, HFS Plus has a maximum size of (2^63 - 2^31) bytes, which is just shy
> of 8EB.
> 
> http://support.apple.com/kb/HT2422
> http://en.wikipedia.org/wiki/HFS_Plus

I know.  I'm talking about the Linux implementation.

Ben.

-- 
Ben Hutchings
To err is human; to really foul things up requires a computer.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 22:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Dennison <dan@thedennisons.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 22:39:02 GMT) Full text and rfc822 format available.

Message #52 received at 550010@bugs.debian.org (full text, mbox):

From: Dan Dennison <dan@thedennisons.org>
To: Ben Hutchings <ben@decadent.org.uk>, 550010@bugs.debian.org
Subject: Re: Bug#550010: CONFIG_LBD has gone missing sometime after 2.6.18
Date: Wed, 7 Oct 2009 18:38:41 -0400
-----------------original message-----------------
From: "Ben Hutchings" ben@decadent.org.uk
To: "Dan Dennison" dan@thedennisons.org, 550010@bugs.debian.org
Date: Wed, 07 Oct 2009 23:02:40 +0100
-------------------------------------------------
> CONFIG_LBD is irrelevant on 64-bit architectures.

Good to know.

>> I propose the following sequence of events:
>> 
>> 1) 'sd' block device tries to read capacity 16 and fails because
>> CONFIG_LBD is not asserted, defaulting to a size of 2TB

So _something_else_ is causing read capacity 16 to fail in this case.
Thoughts?

dan :)






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Sun, 11 Oct 2009 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 11 Oct 2009 02:18:02 GMT) Full text and rfc822 format available.

Message #57 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: linux-kernel@vger.kernel.org
Cc: Eric Sesterhenn <snakebyte@gmx.de>, Roman Zippel <zippel@linux-m68k.org>, 550010@bugs.debian.org
Subject: [PATCH] hfsplus: Refuse to mount volumes larger than 2TB
Date: Sun, 11 Oct 2009 03:11:27 +0100
As found in <http://bugs.debian.org/550010>, hfsplus is using type u32
rather than sector_t for some sector number calculations.

In particular, hfsplus_get_block() does:

        u32 ablock, dblock, mask;
...
        map_bh(bh_result, sb, (dblock << HFSPLUS_SB(sb).fs_shift) + HFSPLUS_SB(sb).blockoffset + (iblock & mask));

I am not confident that I can find and fix all cases where a sector
number may be truncated.  For now, avoid data loss by refusing to mount
HFS+ volumes with more than 2^32 sectors (2TB).

Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
Cc: stable@kernel.org
---
--- a/fs/hfsplus/wrapper.c
+++ b/fs/hfsplus/wrapper.c
@@ -99,6 +99,10 @@
 
 	if (hfsplus_get_last_session(sb, &part_start, &part_size))
 		return -EINVAL;
+	if (part_start + part_size > 0x100000000) {
+		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
+		return -EINVAL;
+	}
 	while (1) {
 		bh = sb_bread512(sb, part_start + HFSPLUS_VOLHEAD_SECTOR, vhdr);
 		if (!bh)

-- 
Ben Hutchings
Quantity is no substitute for quality, but it's the only one we've got.




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 11 Oct 2009 02:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Sun, 11 Oct 2009 08:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Morton <akpm@linux-foundation.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 11 Oct 2009 08:00:04 GMT) Full text and rfc822 format available.

Message #64 received at 550010@bugs.debian.org (full text, mbox):

From: Andrew Morton <akpm@linux-foundation.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: linux-kernel@vger.kernel.org, Eric Sesterhenn <snakebyte@gmx.de>, Roman Zippel <zippel@linux-m68k.org>, 550010@bugs.debian.org
Subject: Re: [PATCH] hfsplus: Refuse to mount volumes larger than 2TB
Date: Sun, 11 Oct 2009 00:51:53 -0700
On Sun, 11 Oct 2009 03:11:27 +0100 Ben Hutchings <ben@decadent.org.uk> wrote:

> As found in <http://bugs.debian.org/550010>, hfsplus is using type u32
> rather than sector_t for some sector number calculations.
> 
> In particular, hfsplus_get_block() does:
> 
>         u32 ablock, dblock, mask;
> ...
>         map_bh(bh_result, sb, (dblock << HFSPLUS_SB(sb).fs_shift) + HFSPLUS_SB(sb).blockoffset + (iblock & mask));
> 
> I am not confident that I can find and fix all cases where a sector
> number may be truncated.  For now, avoid data loss by refusing to mount
> HFS+ volumes with more than 2^32 sectors (2TB).
> 
> Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> Cc: stable@kernel.org
> ---
> --- a/fs/hfsplus/wrapper.c
> +++ b/fs/hfsplus/wrapper.c
> @@ -99,6 +99,10 @@
>  
>  	if (hfsplus_get_last_session(sb, &part_start, &part_size))
>  		return -EINVAL;
> +	if (part_start + part_size > 0x100000000) {
> +		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
> +		return -EINVAL;
> +	}

part_start and part_size are sector_t.  This code will do weird overflow
things when sector_t is 32-bit.  Also 32-bit compilers will get upset at the
excessively large hex constant.

This should fix both issues:

--- a/fs/hfsplus/wrapper.c~hfsplus-refuse-to-mount-volumes-larger-than-2tb-fix
+++ a/fs/hfsplus/wrapper.c
@@ -99,7 +99,7 @@ int hfsplus_read_wrapper(struct super_bl
 
 	if (hfsplus_get_last_session(sb, &part_start, &part_size))
 		return -EINVAL;
-	if (part_start + part_size > 0x100000000) {
+	if ((u64)part_start + part_size > 0x100000000ULL) {
 		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
 		return -EINVAL;
 	}
_





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#550010; Package linux-image-2.6.26-1-amd64. (Sun, 11 Oct 2009 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 11 Oct 2009 17:06:03 GMT) Full text and rfc822 format available.

Message #69 received at 550010@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Andrew Morton <akpm@linux-foundation.org>
Cc: linux-kernel@vger.kernel.org, Eric Sesterhenn <snakebyte@gmx.de>, Roman Zippel <zippel@linux-m68k.org>, 550010@bugs.debian.org
Subject: Re: [PATCH] hfsplus: Refuse to mount volumes larger than 2TB
Date: Sun, 11 Oct 2009 18:01:30 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2009-10-11 at 00:51 -0700, Andrew Morton wrote:
[...]
> > --- a/fs/hfsplus/wrapper.c
> > +++ b/fs/hfsplus/wrapper.c
> > @@ -99,6 +99,10 @@
> >  
> >  	if (hfsplus_get_last_session(sb, &part_start, &part_size))
> >  		return -EINVAL;
> > +	if (part_start + part_size > 0x100000000) {
> > +		pr_err("hfs: volumes larger than 2TB are not supported yet\n");
> > +		return -EINVAL;
> > +	}
> 
> part_start and part_size are sector_t.  This code will do weird overflow
> things when sector_t is 32-bit.

Sorry, I forgot CONFIG_LBD is still optional.

> Also 32-bit compilers will get upset at the excessively large hex constant.
[...]

Good point.

Ben.

-- 
Ben Hutchings
DNRC Motto:  I can please only one person per day.
Today is not your day.  Tomorrow isn't looking good either.
[signature.asc (application/pgp-signature, inline)]

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 13 Oct 2009 10:51:23 GMT) Full text and rfc822 format available.

Notification sent to Marc Tamsky <mtamsky+bugs.debian.org@gmail.com>:
Bug acknowledged by developer. (Tue, 13 Oct 2009 10:51:24 GMT) Full text and rfc822 format available.

Message #74 received at 550010-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 550010-close@bugs.debian.org
Subject: Bug#550010: fixed in linux-2.6 2.6.31-1~experimental.2
Date: Tue, 13 Oct 2009 10:07:30 +0000
Source: linux-2.6
Source-Version: 2.6.31-1~experimental.2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/firmware-linux-free_2.6.31-1~experimental.2_all.deb
linux-2.6_2.6.31-1~experimental.2.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.31-1~experimental.2.diff.gz
linux-2.6_2.6.31-1~experimental.2.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.31-1~experimental.2.dsc
linux-doc-2.6.31_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.31_2.6.31-1~experimental.2_all.deb
linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.2_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.2_amd64.deb
linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.2_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.2_amd64.deb
linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.2_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.2_amd64.deb
linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
linux-libc-dev_2.6.31-1~experimental.2_amd64.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.31-1~experimental.2_amd64.deb
linux-manual-2.6.31_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.31_2.6.31-1~experimental.2_all.deb
linux-patch-debian-2.6.31_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.31_2.6.31-1~experimental.2_all.deb
linux-source-2.6.31_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.31_2.6.31-1~experimental.2_all.deb
linux-support-2.6.31-trunk_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.31-trunk_2.6.31-1~experimental.2_all.deb
linux-tree-2.6.31_2.6.31-1~experimental.2_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.31_2.6.31-1~experimental.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Oct 2009 23:54:52 +0200
Source: linux-2.6
Binary: linux-source-2.6.31 linux-doc-2.6.31 linux-manual-2.6.31 linux-patch-debian-2.6.31 firmware-linux-free linux-tree-2.6.31 linux-support-2.6.31-trunk linux-libc-dev linux-headers-2.6.31-trunk-all linux-headers-2.6.31-trunk-all-alpha linux-headers-2.6.31-trunk-common linux-image-2.6.31-trunk-alpha-generic linux-headers-2.6.31-trunk-alpha-generic linux-image-2.6.31-trunk-alpha-smp linux-headers-2.6.31-trunk-alpha-smp linux-image-2.6.31-trunk-alpha-legacy linux-headers-2.6.31-trunk-alpha-legacy linux-headers-2.6.31-trunk-all-amd64 linux-image-2.6.31-trunk-amd64 linux-headers-2.6.31-trunk-amd64 linux-headers-2.6.31-trunk-all-armel linux-image-2.6.31-trunk-iop32x linux-headers-2.6.31-trunk-iop32x linux-image-2.6.31-trunk-ixp4xx linux-headers-2.6.31-trunk-ixp4xx linux-image-2.6.31-trunk-kirkwood linux-headers-2.6.31-trunk-kirkwood linux-image-2.6.31-trunk-orion5x linux-headers-2.6.31-trunk-orion5x linux-image-2.6.31-trunk-versatile linux-headers-2.6.31-trunk-versatile linux-headers-2.6.31-trunk-all-hppa linux-image-2.6.31-trunk-parisc linux-headers-2.6.31-trunk-parisc linux-image-2.6.31-trunk-parisc-smp linux-headers-2.6.31-trunk-parisc-smp linux-image-2.6.31-trunk-parisc64 linux-headers-2.6.31-trunk-parisc64 linux-image-2.6.31-trunk-parisc64-smp linux-headers-2.6.31-trunk-parisc64-smp linux-headers-2.6.31-trunk-all-i386 linux-image-2.6.31-trunk-486 linux-headers-2.6.31-trunk-486 linux-image-2.6.31-trunk-686 linux-headers-2.6.31-trunk-686 linux-image-2.6.31-trunk-686-bigmem linux-headers-2.6.31-trunk-686-bigmem linux-headers-2.6.31-trunk-all-ia64 linux-image-2.6.31-trunk-itanium linux-headers-2.6.31-trunk-itanium linux-image-2.6.31-trunk-mckinley linux-headers-2.6.31-trunk-mckinley linux-headers-2.6.31-trunk-all-m68k linux-image-2.6.31-trunk-amiga linux-headers-2.6.31-trunk-amiga linux-image-2.6.31-trunk-atari linux-headers-2.6.31-trunk-atari linux-image-2.6.31-trunk-bvme6000 linux-headers-2.6.31-trunk-bvme6000 linux-image-2.6.31-trunk-mac linux-headers-2.6.31-trunk-mac linux-image-2.6.31-trunk-mvme147 linux-headers-2.6.31-trunk-mvme147 linux-image-2.6.31-trunk-mvme16x linux-headers-2.6.31-trunk-mvme16x linux-headers-2.6.31-trunk-all-mips linux-image-2.6.31-trunk-r4k-ip22 linux-headers-2.6.31-trunk-r4k-ip22 linux-image-2.6.31-trunk-r5k-ip32 linux-headers-2.6.31-trunk-r5k-ip32 linux-image-2.6.31-trunk-sb1-bcm91250a linux-headers-2.6.31-trunk-sb1-bcm91250a linux-image-2.6.31-trunk-sb1a-bcm91480b linux-headers-2.6.31-trunk-sb1a-bcm91480b linux-image-2.6.31-trunk-4kc-malta linux-headers-2.6.31-trunk-4kc-malta linux-image-2.6.31-trunk-5kc-malta linux-headers-2.6.31-trunk-5kc-malta linux-headers-2.6.31-trunk-all-mipsel linux-image-2.6.31-trunk-r5k-cobalt linux-headers-2.6.31-trunk-r5k-cobalt linux-headers-2.6.31-trunk-all-powerpc linux-image-2.6.31-trunk-powerpc linux-headers-2.6.31-trunk-powerpc linux-image-2.6.31-trunk-powerpc-smp linux-headers-2.6.31-trunk-powerpc-smp linux-image-2.6.31-trunk-powerpc64 linux-headers-2.6.31-trunk-powerpc64 linux-headers-2.6.31-trunk-all-s390 linux-image-2.6.31-trunk-s390x linux-headers-2.6.31-trunk-s390x linux-image-2.6.31-trunk-s390x-tape linux-headers-2.6.31-trunk-all-sparc linux-image-2.6.31-trunk-sparc64 linux-headers-2.6.31-trunk-sparc64 linux-image-2.6.31-trunk-sparc64-smp linux-headers-2.6.31-trunk-sparc64-smp
Architecture: source all amd64
Version: 2.6.31-1~experimental.2
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-doc-2.6.31 - Linux kernel specific documentation for version 2.6.31
 linux-headers-2.6.31-trunk-486 - Header files for Linux 2.6.31-trunk-486
 linux-headers-2.6.31-trunk-4kc-malta - Header files for Linux 2.6.31-trunk-4kc-malta
 linux-headers-2.6.31-trunk-5kc-malta - Header files for Linux 2.6.31-trunk-5kc-malta
 linux-headers-2.6.31-trunk-686 - Header files for Linux 2.6.31-trunk-686
 linux-headers-2.6.31-trunk-686-bigmem - Header files for Linux 2.6.31-trunk-686-bigmem
 linux-headers-2.6.31-trunk-all - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-alpha - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-amd64 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-armel - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-hppa - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-i386 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-ia64 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-m68k - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-mips - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-mipsel - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-powerpc - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-s390 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-sparc - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-alpha-generic - Header files for Linux 2.6.31-trunk-alpha-generic
 linux-headers-2.6.31-trunk-alpha-legacy - Header files for Linux 2.6.31-trunk-alpha-legacy
 linux-headers-2.6.31-trunk-alpha-smp - Header files for Linux 2.6.31-trunk-alpha-smp
 linux-headers-2.6.31-trunk-amd64 - Header files for Linux 2.6.31-trunk-amd64
 linux-headers-2.6.31-trunk-amiga - Header files for Linux 2.6.31-trunk-amiga
 linux-headers-2.6.31-trunk-atari - Header files for Linux 2.6.31-trunk-atari
 linux-headers-2.6.31-trunk-bvme6000 - Header files for Linux 2.6.31-trunk-bvme6000
 linux-headers-2.6.31-trunk-common - Common header files for Linux 2.6.31-trunk
 linux-headers-2.6.31-trunk-iop32x - Header files for Linux 2.6.31-trunk-iop32x
 linux-headers-2.6.31-trunk-itanium - Header files for Linux 2.6.31-trunk-itanium
 linux-headers-2.6.31-trunk-ixp4xx - Header files for Linux 2.6.31-trunk-ixp4xx
 linux-headers-2.6.31-trunk-kirkwood - Header files for Linux 2.6.31-trunk-kirkwood
 linux-headers-2.6.31-trunk-mac - Header files for Linux 2.6.31-trunk-mac
 linux-headers-2.6.31-trunk-mckinley - Header files for Linux 2.6.31-trunk-mckinley
 linux-headers-2.6.31-trunk-mvme147 - Header files for Linux 2.6.31-trunk-mvme147
 linux-headers-2.6.31-trunk-mvme16x - Header files for Linux 2.6.31-trunk-mvme16x
 linux-headers-2.6.31-trunk-orion5x - Header files for Linux 2.6.31-trunk-orion5x
 linux-headers-2.6.31-trunk-parisc - Header files for Linux 2.6.31-trunk-parisc
 linux-headers-2.6.31-trunk-parisc-smp - Header files for Linux 2.6.31-trunk-parisc-smp
 linux-headers-2.6.31-trunk-parisc64 - Header files for Linux 2.6.31-trunk-parisc64
 linux-headers-2.6.31-trunk-parisc64-smp - Header files for Linux 2.6.31-trunk-parisc64-smp
 linux-headers-2.6.31-trunk-powerpc - Header files for Linux 2.6.31-trunk-powerpc
 linux-headers-2.6.31-trunk-powerpc-smp - Header files for Linux 2.6.31-trunk-powerpc-smp
 linux-headers-2.6.31-trunk-powerpc64 - Header files for Linux 2.6.31-trunk-powerpc64
 linux-headers-2.6.31-trunk-r4k-ip22 - Header files for Linux 2.6.31-trunk-r4k-ip22
 linux-headers-2.6.31-trunk-r5k-cobalt - Header files for Linux 2.6.31-trunk-r5k-cobalt
 linux-headers-2.6.31-trunk-r5k-ip32 - Header files for Linux 2.6.31-trunk-r5k-ip32
 linux-headers-2.6.31-trunk-s390x - Header files for Linux 2.6.31-trunk-s390x
 linux-headers-2.6.31-trunk-sb1-bcm91250a - Header files for Linux 2.6.31-trunk-sb1-bcm91250a
 linux-headers-2.6.31-trunk-sb1a-bcm91480b - Header files for Linux 2.6.31-trunk-sb1a-bcm91480b
 linux-headers-2.6.31-trunk-sparc64 - Header files for Linux 2.6.31-trunk-sparc64
 linux-headers-2.6.31-trunk-sparc64-smp - Header files for Linux 2.6.31-trunk-sparc64-smp
 linux-headers-2.6.31-trunk-versatile - Header files for Linux 2.6.31-trunk-versatile
 linux-image-2.6.31-trunk-486 - Linux 2.6.31 for old PCs
 linux-image-2.6.31-trunk-4kc-malta - Linux 2.6.31 for MIPS Malta
 linux-image-2.6.31-trunk-5kc-malta - Linux 2.6.31 for MIPS Malta (64-bit)
 linux-image-2.6.31-trunk-686 - Linux 2.6.31 for modern PCs
 linux-image-2.6.31-trunk-686-bigmem - Linux 2.6.31 for PCs with 4GB+ RAM
 linux-image-2.6.31-trunk-alpha-generic - Linux 2.6.31 for Alpha
 linux-image-2.6.31-trunk-alpha-legacy - Linux 2.6.31 for Alpha Legacy
 linux-image-2.6.31-trunk-alpha-smp - Linux 2.6.31 for Alpha SMP
 linux-image-2.6.31-trunk-amd64 - Linux 2.6.31 for 64-bit PCs
 linux-image-2.6.31-trunk-amiga - Linux 2.6.31 for Amiga
 linux-image-2.6.31-trunk-atari - Linux 2.6.31 for Atari
 linux-image-2.6.31-trunk-bvme6000 - Linux 2.6.31 for BVM BVME4000 and BVME6000
 linux-image-2.6.31-trunk-iop32x - Linux 2.6.31 for IOP32x
 linux-image-2.6.31-trunk-itanium - Linux 2.6.31 for Itanium
 linux-image-2.6.31-trunk-ixp4xx - Linux 2.6.31 for IXP4xx
 linux-image-2.6.31-trunk-kirkwood - Linux 2.6.31 for Marvell Kirkwood
 linux-image-2.6.31-trunk-mac - Linux 2.6.31 for Macintosh
 linux-image-2.6.31-trunk-mckinley - Linux 2.6.31 for Itanium II
 linux-image-2.6.31-trunk-mvme147 - Linux 2.6.31 for Motorola MVME147
 linux-image-2.6.31-trunk-mvme16x - Linux 2.6.31 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.31-trunk-orion5x - Linux 2.6.31 for Marvell Orion
 linux-image-2.6.31-trunk-parisc - Linux 2.6.31 for 32-bit PA-RISC
 linux-image-2.6.31-trunk-parisc-smp - Linux 2.6.31 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.31-trunk-parisc64 - Linux 2.6.31 for 64-bit PA-RISC
 linux-image-2.6.31-trunk-parisc64-smp - Linux 2.6.31 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.31-trunk-powerpc - Linux 2.6.31 for uniprocessor 32-bit PowerPC
 linux-image-2.6.31-trunk-powerpc-smp - Linux 2.6.31 for multiprocessor 32-bit PowerPC
 linux-image-2.6.31-trunk-powerpc64 - Linux 2.6.31 for 64-bit PowerPC
 linux-image-2.6.31-trunk-r4k-ip22 - Linux 2.6.31 for SGI IP22
 linux-image-2.6.31-trunk-r5k-cobalt - Linux 2.6.31 for Cobalt
 linux-image-2.6.31-trunk-r5k-ip32 - Linux 2.6.31 for SGI IP32
 linux-image-2.6.31-trunk-s390x - Linux 2.6.31 for IBM zSeries
 linux-image-2.6.31-trunk-s390x-tape - Linux 2.6.31 for IBM zSeries, IPL from tape
 linux-image-2.6.31-trunk-sb1-bcm91250a - Linux 2.6.31 for BCM91250A
 linux-image-2.6.31-trunk-sb1a-bcm91480b - Linux 2.6.31 for BCM91480B
 linux-image-2.6.31-trunk-sparc64 - Linux 2.6.31 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.31-trunk-sparc64-smp - Linux 2.6.31 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.31-trunk-versatile - Linux 2.6.31 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.31 - Linux kernel API manual pages for version 2.6.31
 linux-patch-debian-2.6.31 - Debian patches to version 2.6.31 of the Linux kernel
 linux-source-2.6.31 - Linux kernel source for version 2.6.31 with Debian patches
 linux-support-2.6.31-trunk - Support files for Linux 2.6.31
 linux-tree-2.6.31 - Linux kernel source tree for building Debian kernel images
Closes: 414690 458560 522828 549002 550010 550130
Changes: 
 linux-2.6 (2.6.31-1~experimental.2) experimental; urgency=low
 .
   [ Ben Hutchings ]
   * Include more information in bug reports:
     - Model information
     - Firmware package status
     - Network configuration and status (optional)
     - USB device list
   * nfs: Avoid overrun when copying client IP address string
     (Closes: #549002)
   * Add support for DEB_BUILD_OPTIONS=parallel=N (Closes: #458560)
   * sfc: Fix initial link state
   * Improve package descriptions
     - Clarify the differences between i386 flavours (Closes: #414690)
     - Simplify wording of the description template
   * Add stable release 2.6.31.3
   * Remove /usr/include/scsi from linux-libc-dev; these headers are
     provided by libc6-dev (Closes: #550130)
   * Remove dummy dot-files from linux-libc-dev
   * hfsplus: Refuse to mount volumes larger than 2TB, which may otherwise
     be corrupted (Closes: #550010)
   * Add stable release 2.6.31.4
     - x86: Don't leak 64-bit kernel register values to 32-bit processes
       (CVE-2009-2910)
     - appletalk: Fix skb leak when ipddp interface is not loaded
       (CVE-2009-2903)
 .
   [ maximilian attems ]
   * Add stable release 2.6.31.2
     - ax25: Fix signed comparison in the sockopt handler (CVE-2009-2909)
     - PM / yenta: Fix cardbus suspend/resume regression (Closes: #522828)
 .
   [ dann frazier ]
   * [sparc] build zImage by default, fixes build
   * [ia64] Fix call to elilo in postinst
Checksums-Sha1: 
 9669487f9e2781892871549560a89ba4477835b3 4926 linux-2.6_2.6.31-1~experimental.2.dsc
 044e078b58cb0e4b5b665eec27d7eeee7b92bd82 445474 linux-2.6_2.6.31-1~experimental.2.diff.gz
 4991adaf95ea6cf4ce6eaabf89fb970d40f12f6a 5528126 linux-doc-2.6.31_2.6.31-1~experimental.2_all.deb
 5c7b610fb78f5c507d22423f8f3229b1842f7525 2069146 linux-manual-2.6.31_2.6.31-1~experimental.2_all.deb
 8e87fff05faf4a47071dc373ea703e6faf9937d5 283898 linux-patch-debian-2.6.31_2.6.31-1~experimental.2_all.deb
 38b74f78000b6565f4e3b5c01d3df7ee8b4f8dc1 60648710 linux-source-2.6.31_2.6.31-1~experimental.2_all.deb
 baecb4adada1f99d49e29f875db92770891f76ba 130390 linux-support-2.6.31-trunk_2.6.31-1~experimental.2_all.deb
 342feb5692221bc66298a4329209ae6095fb88ae 114990 linux-tree-2.6.31_2.6.31-1~experimental.2_all.deb
 07cadb034546f8cb82c7c1494718cbf40482baf9 117874 firmware-linux-free_2.6.31-1~experimental.2_all.deb
 23416c35d1477e6e6cd94e213e6e56da2a2952bd 27154132 linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
 838055bfe8fcfd70c829b8d7544c74ef88a64796 439700 linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
 1b436b6500ad1433db68db5809257aaab50b585d 3740056 linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.2_amd64.deb
 8edd47c874baa2136f414f440788984b20eeffb0 114634 linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.2_amd64.deb
 034ddc34ba85fe9d4101eb65322d6dfd542ab860 114636 linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.2_amd64.deb
 48bc017c7c20c8cea16ef5c22f331ec2b89f506e 851358 linux-libc-dev_2.6.31-1~experimental.2_amd64.deb
Checksums-Sha256: 
 701f924aa7875c3611c970ed858f94490dc0281e814d6ea1fbfda1c6667b191e 4926 linux-2.6_2.6.31-1~experimental.2.dsc
 e27cca91de05f7c85b9ad3ccac28538d3fd1a61967324ecb4e67535f396845a1 445474 linux-2.6_2.6.31-1~experimental.2.diff.gz
 31d87dd7fff0af36ae33fd4e02684d0fe588227f5a9b6bd812b9d9a8088ebc9e 5528126 linux-doc-2.6.31_2.6.31-1~experimental.2_all.deb
 cc2bd2cfff3ac21aa5769133838e28b1d74a64e768ea7e16baeca01564b59723 2069146 linux-manual-2.6.31_2.6.31-1~experimental.2_all.deb
 e277957e209ca9b0acce5bc158af4b522afd427c6206865b1e875a0130dc3e13 283898 linux-patch-debian-2.6.31_2.6.31-1~experimental.2_all.deb
 e4ac4ffafe478299be02ff330755c15ac4e01e35ee178cf9a81ca38acb9864ec 60648710 linux-source-2.6.31_2.6.31-1~experimental.2_all.deb
 80afa99fdf9b868938dfc5be6066c75f9f577955de4d17880c826ac2c35fedbc 130390 linux-support-2.6.31-trunk_2.6.31-1~experimental.2_all.deb
 cf48d86ed23b811958f9446a1145802d46e62773f27955af6f6ad68e65ce29ed 114990 linux-tree-2.6.31_2.6.31-1~experimental.2_all.deb
 ce959702cb5937b908f214a8a40909b6b40d2e78823a34f8cc7504020cb74ca8 117874 firmware-linux-free_2.6.31-1~experimental.2_all.deb
 328dbb3d85bc467a0019a8a10e211f4195474b83fc3f2e3162bcc0d12332aff2 27154132 linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
 6121ff156919b764a3d67d27547c76e5fc1b2091ab0834ae8fd291c9bb18391d 439700 linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
 f19f10cf6bca501a9883f230284547a3ab512a857670e6d3a6457f3583398c49 3740056 linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.2_amd64.deb
 c9c8bf81cd62f8c1fe1026c70fae28085ea08cbafb8244aa53abfa1d6547f32d 114634 linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.2_amd64.deb
 2c170cbc431d69f790ea0dfe69e6b773be856130a308ca42ddc4a74cfb271131 114636 linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.2_amd64.deb
 d923e7ee4e2ba70a5678c1b742f6f16746a2928bdd4eeece8ff8cfec863678ce 851358 linux-libc-dev_2.6.31-1~experimental.2_amd64.deb
Files: 
 2f87588d17f868014cf8cefd95a4b209 4926 kernel optional linux-2.6_2.6.31-1~experimental.2.dsc
 46eff15265d2ff13b75cadf736ac3493 445474 kernel optional linux-2.6_2.6.31-1~experimental.2.diff.gz
 7c9f05be41ad458edf581a7ca8510124 5528126 doc optional linux-doc-2.6.31_2.6.31-1~experimental.2_all.deb
 285e822d52a76584b4cbd5c016268b42 2069146 doc optional linux-manual-2.6.31_2.6.31-1~experimental.2_all.deb
 6fc87282cc6da17ceee998185737f77a 283898 kernel optional linux-patch-debian-2.6.31_2.6.31-1~experimental.2_all.deb
 7fe22c64dbac017e5e3ec8712d8c55ee 60648710 kernel optional linux-source-2.6.31_2.6.31-1~experimental.2_all.deb
 149d18763c817f3d975a67a445481627 130390 devel optional linux-support-2.6.31-trunk_2.6.31-1~experimental.2_all.deb
 0d9ea8094f2b0bc18551bddaef1b207e 114990 devel optional linux-tree-2.6.31_2.6.31-1~experimental.2_all.deb
 27b54f68cae8ea731546a2d8589c106a 117874 kernel optional firmware-linux-free_2.6.31-1~experimental.2_all.deb
 d81626a3ea7294f94f85730cf6516195 27154132 kernel optional linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
 3f3e2bde5fadbac024e8a9acf6a40302 439700 kernel optional linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.2_amd64.deb
 6856bb27914ee94d3df368aef0667694 3740056 kernel optional linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.2_amd64.deb
 4fe76cb41cd5b3ad0a6af54961007963 114634 kernel optional linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.2_amd64.deb
 ffa3ae97d092c6588a80a8114382c7ef 114636 kernel optional linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.2_amd64.deb
 b74a59ab2bdf9747a5ef89d330ae7449 851358 devel optional linux-libc-dev_2.6.31-1~experimental.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrUQOkACgkQeW7Lc5tEHqjxzQCfcz1k4rsP3hmqdCfecEYobVcv
vowAnRMz+helfM4HfP17KVFEYVA6Uyqp
=u9c5
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 14 Oct 2009 19:12:07 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Mon, 26 Oct 2009 08:10:17 GMT) Full text and rfc822 format available.

Notification sent to Marc Tamsky <mtamsky+bugs.debian.org@gmail.com>:
Bug acknowledged by developer. (Mon, 26 Oct 2009 08:10:17 GMT) Full text and rfc822 format available.

Message #81 received at 550010-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 550010-close@bugs.debian.org
Subject: Bug#550010: fixed in linux-2.6 2.6.26-20
Date: Mon, 26 Oct 2009 08:01:28 +0000
Source: linux-2.6
Source-Version: 2.6.26-20

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-20.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-20.diff.gz
linux-2.6_2.6.26-20.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-20.dsc
linux-doc-2.6.26_2.6.26-20_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.26_2.6.26-20_all.deb
linux-headers-2.6.26-2-486_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-486_2.6.26-20_i386.deb
linux-headers-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
linux-headers-2.6.26-2-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-686_2.6.26-20_i386.deb
linux-headers-2.6.26-2-all-i386_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-all-i386_2.6.26-20_i386.deb
linux-headers-2.6.26-2-all_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-20_i386.deb
linux-headers-2.6.26-2-amd64_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-amd64_2.6.26-20_i386.deb
linux-headers-2.6.26-2-common-openvz_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common-openvz_2.6.26-20_i386.deb
linux-headers-2.6.26-2-common-vserver_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common-vserver_2.6.26-20_i386.deb
linux-headers-2.6.26-2-common-xen_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common-xen_2.6.26-20_i386.deb
linux-headers-2.6.26-2-common_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-20_i386.deb
linux-headers-2.6.26-2-openvz-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-openvz-686_2.6.26-20_i386.deb
linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
linux-headers-2.6.26-2-vserver-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686_2.6.26-20_i386.deb
linux-headers-2.6.26-2-xen-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-xen-686_2.6.26-20_i386.deb
linux-image-2.6.26-2-486_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-486_2.6.26-20_i386.deb
linux-image-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
linux-image-2.6.26-2-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-686_2.6.26-20_i386.deb
linux-image-2.6.26-2-amd64_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-20_i386.deb
linux-image-2.6.26-2-openvz-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-openvz-686_2.6.26-20_i386.deb
linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
linux-image-2.6.26-2-vserver-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-vserver-686_2.6.26-20_i386.deb
linux-image-2.6.26-2-xen-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-xen-686_2.6.26-20_i386.deb
linux-libc-dev_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.26-20_i386.deb
linux-manual-2.6.26_2.6.26-20_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.26_2.6.26-20_all.deb
linux-modules-2.6.26-2-xen-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/linux-modules-2.6.26-2-xen-686_2.6.26-20_i386.deb
linux-patch-debian-2.6.26_2.6.26-20_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-20_all.deb
linux-source-2.6.26_2.6.26-20_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.26_2.6.26-20_all.deb
linux-support-2.6.26-2_2.6.26-20_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-20_all.deb
linux-tree-2.6.26_2.6.26-20_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.26_2.6.26-20_all.deb
xen-linux-system-2.6.26-2-xen-686_2.6.26-20_i386.deb
  to pool/main/l/linux-2.6/xen-linux-system-2.6.26-2-xen-686_2.6.26-20_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 Oct 2009 16:31:23 -0600
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all i386
Version: 2.6.26-20
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 507557 508599 508649 508866 510478 511419 515741 515982 517892 521383 530636 531932 538372 539215 541169 541457 542250 544619 545999 549002 550010 550863 550935
Changes: 
 linux-2.6 (2.6.26-20) stable; urgency=high
 .
   [ Ben Hutchings ]
   * xen: Fix crash in xen_spin_wait() on busy multiprocessor domain
     (Closes: #542250), thanks to Nikita V. Youshchenko <yoush@debian.org>
   * x86: Fix crash in text_poke_early() on 486-class processors
     (Closes: #515982)
   * hppa: Ensure TLB purge runs single threaded (Closes: #539215),
     thanks to Helge Deller <deller@gmx.de>
   * virtio_balloon: Fix towards_target when deflating balloon
     (Closes: #544619)
   * dm-snap: Fix crash when using both snapshot and origin volumes
     (Closes: #545999)
   * nfs: Avoid overrun when copying client IP address string
     (Closes: #549002)
   * sis190: Correct DMA sync handling on small packets (Closes: #541169)
   * mmc: Increase power-up delay (Closes: #508599)
   * v4l2: Improve 32/64-bit ioctl translation (Closes: #508649)
   * proc: Fix truncation of entries in /proc/*/pagemap on 32-bit
     architectures (Closes: #511419)
   * Sanitise <linux/socket.h> and <linux/uio.h> (Closes: #538372)
   * nfs: Handle -ESTALE error in access() (Closes: #508866)
   * r8169: Fix rx_missed_errors statistic (Closes: #531932)
   * hfsplus: Refuse to mount volumes larger than 2TB, which may otherwise
     be corrupted (Closes: #550010)
   * acenic: Pass up error code from ace_load_firmware(), avoiding an oops
     (Closes: #521383)
   * axnet_cs: Reclaim Netgear FA411 from pcnet_cs (Closes: #550935)
   * Update bug script from trunk:
     - Update taint checks
     - Prompt submitters to run the kernel version they're reporting on
       or otherwise record boot messages
     - Include PCI device list even if the running kernel doesn't match
     - Include model information
     - Include firmware package status
     - Include network configuration and status (optional)
     - Include USB device list
   * printk: Avoid hanging when logging messages for time adjustment
     (Closes: #510478)
 .
   [ dann frazier ]
   * autofs4: don't make expiring dentry negative, avoiding an oops
     (Closes: #530636)
   * ocfs/dlm: fix race in dlm_get_lock_resource() which can cause
     flock() to return EINVAL (Closes: #515741)
   * Increase default mmap_min_addr from 0 to 4096 (Closes: #541457)
 .
   [ Martin Michlmayr ]
   * Disable SYS_HAS_EARLY_PRINTK on SGI IP22 to work around a hang
     during bootup (Closes: #507557)
   * USB: ftdi_sio: add product_id for Marvell OpenRD Base, Client
 .
   [ maximilian attems ]
   * [openvz] enable SYSFS_DEPRECATED_V2 for ipv6 tunnels through sit.
     (closes: #517892)
 .
   [ Moritz Muehlenhoff ]
   * nbd: fix I/O hang on disconnected NDBs. (Closes: #550863)
Checksums-Sha1: 
 12d837400355316cbafd00f265fc6cd57b7e5dbd 5754 linux-2.6_2.6.26-20.dsc
 7a419e3e1526213a04a3c92e6891eae072615f49 7667713 linux-2.6_2.6.26-20.diff.gz
 98e7b512cf3ac1def4b51c44d955c168b6ceeaf7 4627848 linux-doc-2.6.26_2.6.26-20_all.deb
 a47fd44931bb4363e6cbb30edd215ae7d87492e7 1768098 linux-manual-2.6.26_2.6.26-20_all.deb
 a3f95f9480b6f2dcfff37b64859a62bd11e1ebdc 2589850 linux-patch-debian-2.6.26_2.6.26-20_all.deb
 84ad20647b300e7b1f704f3a6ab268a2a756066a 48675848 linux-source-2.6.26_2.6.26-20_all.deb
 17142da71b070643596fc93669a3c032df995685 122992 linux-support-2.6.26-2_2.6.26-20_all.deb
 620e1d50641bb99a5a9f3a70093418d16211e33f 107740 linux-tree-2.6.26_2.6.26-20_all.deb
 4499fb0b12b960a91623af198f0d2f61e9318ac0 20176920 linux-image-2.6.26-2-486_2.6.26-20_i386.deb
 449d679dbe341be8894cfd0cac4cd430ab71cce8 400054 linux-headers-2.6.26-2-486_2.6.26-20_i386.deb
 6e003c9a1ca8a4e272ba9926812c7f3e4204a577 20210556 linux-image-2.6.26-2-686_2.6.26-20_i386.deb
 4ffd309b845f60772d267f02c41361e11ac774c0 398664 linux-headers-2.6.26-2-686_2.6.26-20_i386.deb
 0b10fb540f8477f62957a97cf08c0f9261109b4b 20328894 linux-image-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
 8d4a39068798d7ff3f0b7f551d269ee095fa9eab 399122 linux-headers-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
 ad4d68b3b15626a3afdc8de1a4ae8913cdae2cee 20868110 linux-image-2.6.26-2-amd64_2.6.26-20_i386.deb
 2cf11a2b9eab78de5e2b09eb0524686a2586823a 388180 linux-headers-2.6.26-2-amd64_2.6.26-20_i386.deb
 7803dee701c696bcd49e1351713f7534d23a99cb 3720096 linux-headers-2.6.26-2-common_2.6.26-20_i386.deb
 cd9447b9fdad5db183940c0f16de0c77477515e9 20504832 linux-image-2.6.26-2-openvz-686_2.6.26-20_i386.deb
 fee4a227b9cc1ed46a5fafe68fa4d04e541d4f20 404884 linux-headers-2.6.26-2-openvz-686_2.6.26-20_i386.deb
 1b514c1f4b0a129c0ed41a502943880270deceec 3775790 linux-headers-2.6.26-2-common-openvz_2.6.26-20_i386.deb
 0cbcf5f4e258e5810e1ce69c798007b05b136338 107220 linux-headers-2.6.26-2-all_2.6.26-20_i386.deb
 2a88b3f6e41dca9c20c6e80ca0e55790bffa5d83 107270 linux-headers-2.6.26-2-all-i386_2.6.26-20_i386.deb
 38ce66c878c494cd595142a170631ff51238373a 747436 linux-libc-dev_2.6.26-20_i386.deb
 036874a19b59c9460a6413fa6b700c6e42cb5947 20238580 linux-image-2.6.26-2-vserver-686_2.6.26-20_i386.deb
 67e56a3f599a96a347a5deae452298d94aad9a2e 399920 linux-headers-2.6.26-2-vserver-686_2.6.26-20_i386.deb
 50a1725decfa9054461ad2e36f9eba32f1e8e82e 20355954 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
 613f93500fc2cf27089f26759a402ebd67156ff8 399736 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
 0983c7b75b877980d8701e26d00092ab9ee4198d 3752740 linux-headers-2.6.26-2-common-vserver_2.6.26-20_i386.deb
 62a05aab46faf103b27599924543decaceb2ae06 1592568 linux-image-2.6.26-2-xen-686_2.6.26-20_i386.deb
 82fbcef69ac3c234a7ff41818802f08678fb7839 18036860 linux-modules-2.6.26-2-xen-686_2.6.26-20_i386.deb
 7124fb5e9782281afe6df37747537d4b0c72c799 385658 linux-headers-2.6.26-2-xen-686_2.6.26-20_i386.deb
 f461d190f945180519526e599a4bf685be822b7c 107220 xen-linux-system-2.6.26-2-xen-686_2.6.26-20_i386.deb
 24f0714be550ca4d39f59c076f2b319dbfd949a9 3852458 linux-headers-2.6.26-2-common-xen_2.6.26-20_i386.deb
Checksums-Sha256: 
 5002e9eb4e25642a038cd92ac421157f74102e69c89cf4beacea8cf8e9342227 5754 linux-2.6_2.6.26-20.dsc
 0f1e2a73183368cd7ebd1b6b414df45dc8cfe253844ae26b613e5210b96a0202 7667713 linux-2.6_2.6.26-20.diff.gz
 738cfaf4f15ec3f88abaf09bd9ce68b330f9e01cc34a3ba4d7b86c74f1ee237c 4627848 linux-doc-2.6.26_2.6.26-20_all.deb
 8e375e466820c2e3c100a03c51665347c0b96c86c315cce6a772baed1e3f9100 1768098 linux-manual-2.6.26_2.6.26-20_all.deb
 abf182a9c7bc588f7fd83aabcb6a3367bf3d7fba227117a7b50e585cb1c10158 2589850 linux-patch-debian-2.6.26_2.6.26-20_all.deb
 f623c3fc0ea233139c64474af3bea442b1f0d419e785629d6e70a2ab284e155e 48675848 linux-source-2.6.26_2.6.26-20_all.deb
 0736ae204f176d43ef5850cf74e7687b419c28996f1f023144ac9dc7f3f71211 122992 linux-support-2.6.26-2_2.6.26-20_all.deb
 e57ef22f056f362728f5e060849a59e536610f87aaff656525a512c0498ace0e 107740 linux-tree-2.6.26_2.6.26-20_all.deb
 f5ad9394dd9757c1af1d3ce4417facf93957e1a28b0bb319f54836c3c5117315 20176920 linux-image-2.6.26-2-486_2.6.26-20_i386.deb
 018b04c5fc00e9b6bd80af43b19c6bd135032fd3eb0ccd3fa093d3c36ee27c65 400054 linux-headers-2.6.26-2-486_2.6.26-20_i386.deb
 5cb51bab5b9dc30c9a8c31ecb5e781082138187e2ba5bd48ba6173064c5e0fe7 20210556 linux-image-2.6.26-2-686_2.6.26-20_i386.deb
 ae30d7da3bb04be0a3f0934efff3f4713ccd179b6a4569e9c0f50a632f56ef6a 398664 linux-headers-2.6.26-2-686_2.6.26-20_i386.deb
 ed051dd40e45afe5dd46bd184b5806ab457f0c5ea604755339a43870386b0550 20328894 linux-image-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
 7486cee03885d31a7fe666ff6d2bfd084fc5880abe44c12d0553f3cb2ea49ed3 399122 linux-headers-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
 c79f22bcccac1b267d4ffb741f04d6c8a53ab3b3cf903ecf82035c2a7f698e19 20868110 linux-image-2.6.26-2-amd64_2.6.26-20_i386.deb
 a2941b3aab6e69ed033da515904347a9d67fcf2f9cfc59f88f244f7e91e421fa 388180 linux-headers-2.6.26-2-amd64_2.6.26-20_i386.deb
 4b1b66dcd4d6d41ab525170062d7382611f25583bb527d2691034796a1cefcf1 3720096 linux-headers-2.6.26-2-common_2.6.26-20_i386.deb
 47a64aea7fe8f4c5d8da4e695330055cf234f1753cdca32003dfb209a5900f83 20504832 linux-image-2.6.26-2-openvz-686_2.6.26-20_i386.deb
 eff617b62505c3d44d51e5e338a6a90f1391ed79d2797dcfe94e77ce6282d8e6 404884 linux-headers-2.6.26-2-openvz-686_2.6.26-20_i386.deb
 58d7027fc0c9ad274a0b43424d8ca37f9b2f64ec6fbf0618dcb1c5f9d45e81fc 3775790 linux-headers-2.6.26-2-common-openvz_2.6.26-20_i386.deb
 74219c82a78245b9701d0860547cc058014d5f4e59a227b08dbb75e1678c6bf0 107220 linux-headers-2.6.26-2-all_2.6.26-20_i386.deb
 c38d80b621c8e0efd5b5d2f2fa79bea0d27075f6da967ec23ff90356945bd0c7 107270 linux-headers-2.6.26-2-all-i386_2.6.26-20_i386.deb
 75a2e5c1bc5ed48e781c227fbb58f427a765f6e1435e6e66f268ea36c2c90fa7 747436 linux-libc-dev_2.6.26-20_i386.deb
 7442ff73b141a784a8aeb35f82fd676c854dd77b32531a9100c917a93003478a 20238580 linux-image-2.6.26-2-vserver-686_2.6.26-20_i386.deb
 deea0f7656f100ce0da9d03588625fbd1f3b9e02a144d509b1bf2d7b69cdfa95 399920 linux-headers-2.6.26-2-vserver-686_2.6.26-20_i386.deb
 1aeb0354cdcb1c5cc8c7d869513908e4a109f0c69a53c2cc0e7df008607de059 20355954 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
 5bafa793b10997bbf3201ab040630c52eaf5d327cb1a52cb265dd06f9f4aa878 399736 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
 65db3c441b145b4a9f2a507f6bebeb1b053e3ea71c77e56d7bdc69ac69064666 3752740 linux-headers-2.6.26-2-common-vserver_2.6.26-20_i386.deb
 a8d85c0bb95615a968d7a6d096314d3cacd56e03b7ef86b0b8622cfdaf45ba48 1592568 linux-image-2.6.26-2-xen-686_2.6.26-20_i386.deb
 1133ce3e60dc66e7b2762e29a8134ffecd53a50ace6eb21dc1ac5488d1102095 18036860 linux-modules-2.6.26-2-xen-686_2.6.26-20_i386.deb
 1bbdcd3d95b7b1e2345abd016fa79a69ef889858aa4d1d836c40d198c35cce9a 385658 linux-headers-2.6.26-2-xen-686_2.6.26-20_i386.deb
 6c0f9746e3627dc1d204e6a61f7f01f0bdabc86b4d2d37f1b339c77317c1e8dc 107220 xen-linux-system-2.6.26-2-xen-686_2.6.26-20_i386.deb
 cce516c8f16a33355e3c36f8117e90ff6373e7ad27ee83147ff6e7bd8ee56264 3852458 linux-headers-2.6.26-2-common-xen_2.6.26-20_i386.deb
Files: 
 85e71b34d228e1f1a06ca4b5f36c7053 5754 devel optional linux-2.6_2.6.26-20.dsc
 316a0c7bba541452bea0529406c42ae6 7667713 devel optional linux-2.6_2.6.26-20.diff.gz
 7c0de6df37c32e8c98d68982928ef25c 4627848 doc optional linux-doc-2.6.26_2.6.26-20_all.deb
 dec634e7b98d15ccb9094cfb987965a5 1768098 doc optional linux-manual-2.6.26_2.6.26-20_all.deb
 6a653f632122f417089172d026baff55 2589850 devel optional linux-patch-debian-2.6.26_2.6.26-20_all.deb
 2529d1c3f375107cd7ce29a13cffbadb 48675848 devel optional linux-source-2.6.26_2.6.26-20_all.deb
 b8431fb5ddada4c8f68ea26e4d5e460a 122992 devel optional linux-support-2.6.26-2_2.6.26-20_all.deb
 9ce2ce504ddddd10085b0dfc04f6e1af 107740 devel optional linux-tree-2.6.26_2.6.26-20_all.deb
 3a81598b756da7d70f71979f8cd53cb1 20176920 admin optional linux-image-2.6.26-2-486_2.6.26-20_i386.deb
 8e2ac8ac3cecb4ba7bb2be949b3b6391 400054 devel optional linux-headers-2.6.26-2-486_2.6.26-20_i386.deb
 bd7ff935c87ea076458c279cc40c80ec 20210556 admin optional linux-image-2.6.26-2-686_2.6.26-20_i386.deb
 7b512f4c953e876211cefe0aa048599d 398664 devel optional linux-headers-2.6.26-2-686_2.6.26-20_i386.deb
 d3160b2512bd18c81d51ccccf51684b0 20328894 admin optional linux-image-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
 89ffc58b56a14f4509539fdcc61593df 399122 devel optional linux-headers-2.6.26-2-686-bigmem_2.6.26-20_i386.deb
 aa0a14da6a21ae41c37e29174644e8dc 20868110 admin optional linux-image-2.6.26-2-amd64_2.6.26-20_i386.deb
 80f44064aa6005d7f092ffb500328035 388180 devel optional linux-headers-2.6.26-2-amd64_2.6.26-20_i386.deb
 1d23aee332b4a38d1933ea72f783270e 3720096 devel optional linux-headers-2.6.26-2-common_2.6.26-20_i386.deb
 d3906c00ffcc5c36a3e6b06a22c4e1b9 20504832 admin optional linux-image-2.6.26-2-openvz-686_2.6.26-20_i386.deb
 3662efc0c7631acc578b0125fc018b60 404884 devel optional linux-headers-2.6.26-2-openvz-686_2.6.26-20_i386.deb
 afe753042e153b42e0a8a06d38f8504e 3775790 devel optional linux-headers-2.6.26-2-common-openvz_2.6.26-20_i386.deb
 66566b0535f75a656b94a98a665bdedc 107220 devel optional linux-headers-2.6.26-2-all_2.6.26-20_i386.deb
 81ba49933fb4f75b2318e0d012e5481d 107270 devel optional linux-headers-2.6.26-2-all-i386_2.6.26-20_i386.deb
 9959d8760a543cf1b96855cf1174db82 747436 devel optional linux-libc-dev_2.6.26-20_i386.deb
 6b725e536a2d42de65a24abcf514bbbd 20238580 admin optional linux-image-2.6.26-2-vserver-686_2.6.26-20_i386.deb
 7fb975297cc4ce17e550a29d971a3d8e 399920 devel optional linux-headers-2.6.26-2-vserver-686_2.6.26-20_i386.deb
 505a548322c9b76f36f407aed37f236c 20355954 admin optional linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
 1c0bbe2be559857fbe791ab1e54d53c1 399736 devel optional linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-20_i386.deb
 a7b423021fd967b234e94ef22449e5d0 3752740 devel optional linux-headers-2.6.26-2-common-vserver_2.6.26-20_i386.deb
 171fb79b08901bdfea4420e05b6a3853 1592568 admin optional linux-image-2.6.26-2-xen-686_2.6.26-20_i386.deb
 559086a42741237598fbf21b05c19c2a 18036860 admin optional linux-modules-2.6.26-2-xen-686_2.6.26-20_i386.deb
 d350a0121c82cd3cfc15df54f009e876 385658 devel optional linux-headers-2.6.26-2-xen-686_2.6.26-20_i386.deb
 d86ce06e966ea06085a5d135f828c14f 107220 admin extra xen-linux-system-2.6.26-2-xen-686_2.6.26-20_i386.deb
 43ce80dda6d2db7fbaadc4778a638ec0 3852458 devel optional linux-headers-2.6.26-2-common-xen_2.6.26-20_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK4x9GhuANDBmkLRkRAjTaAJ49Ns7bH608TnY51tDadxEdfhNjKACfWyQe
Zd5y1hxD53pni1GsDhM+ca4=
=AJ+h
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Nov 2009 07:27:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:41:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.